#ifndef _ALARMJOB_H_
#define _ALARMJOB_H_

#include <qstring.h>
#include <qstringlist.h>

class AlarmJob {
public:
	AlarmJob(const QString& name,
		 const QString& comments,
		 const QString& sensor_name,
		 const QString& interval,
		 const QString& when,
		 const QString& threshold, 
		 const QStringList& reporter,
		 const QStringList& reporter_param);
	QString name;
	QString comments;
	QString when; /* eq, ne, gt, lt, ge, le */
	QString threshold;

	/* sensor */
	QString sensor_name;
	QString host;
        QString cls;
        QString instance;
        QString pin;
	QString interval; /* monitoring intervals in seconds */
	QStringList reporter;
	QStringList reporter_param;
	QString toString();
};



#endif /* _ALARMJOB_H_ */
